Name:           perl-Number-Bytes-Human
Version:        0.07
Release:        3%{?dist}
Summary:        Convert byte count to human readable format

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Number-Bytes-Human/
Source0:        http://www.cpan.org/authors/id/F/FE/FERREIRA/Number-Bytes-Human-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.18
Requires:       perl(Test::More)
Requires:       perl(Test::Pod) >= 1.18
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module is designed to format byte counts to usual readable
format, like '2.0K', '3.1G', '100B'. It was inspired in the -h option of 
Unix utilities like du, df and ls for "human-readable" output.


%prep
%setup -q -n Number-Bytes-Human-%{version}

# Fix file end-of-line encoding
for f in Changes README; do
    %{__sed} 's/\r//' $f > $f.new
    touch -r $f $f.new
    %{__mv} -f $f.new $f
done


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
make test


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Mar 07 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 0.07-3
- Using DESTDIR instead of PERL_INSTALL_ROOT

* Sat Feb 13 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 0.07-2
- Fixed the description
- Preserve timestamps on documentation files

* Sat Feb 13 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 0.07-1
- Specfile autogenerated by cpanspec 1.78.
